CASIN(3)

NAME
casin, casinf - complex arc sine

SYNOPSIS

#include <complex.h>

double complex casin(double complex z);

float complex casinf(float complex z);

DESCRIPTION

These functions compute the complex arc sine of z, with branch cuts outside the interval [-1, +1] along the real axis.

casinf is identical to casin, except that it performs its calculations on floats complex.

RETURNS

These functions return the complex arc sine value, in the range of a strip mathematically unbounded along the imaginary axis and in the interval [-pi/2, +pi/2] along the real axis.

PORTABILITY

casin and casinf are ISO C99